##### windows::stream_handle::stream_handle (1 of 3 overloads)

Construct a `windows::stream_handle` without opening it.

    stream_handle(
        asio::io_context & io_context);

This constructor creates a stream handle without opening it. The handle needs to be opened and then connected or accepted before data can be sent or received on it.

###### Parameters

io_context

  The `io_context` object that the stream handle will use to dispatch handlers for any asynchronous operations performed on the handle.